{% extends "base.html" %}

{% block content %}

{% include "header.html" %}

<div class="w3-row" >
<div class="w3-col m3 l2" >
<h1>controls</h1>
<div>


 <button type="button" onclick="reload('/api/start/');">start</button> 
 <button type="button" onclick="reload('/api/stop/');">stop</button> 
 <button type="button" onclick="reload('/api/test/?a=1&b=2');">test</button> 

</div>


<script>

function reload(url){
    console.log(url);
    var iframe = document.getElementById('iframe_id');
    iframe.src = url;
}
</script>

<h1>arch</h1>
<ul>
{%for machine in node.root.get_firsts(cls="Linux_Machine") %}
    <a href="/nodes/{{ machine.path() }}"><li>/{{ machine.path() }}</li></a>
    <ul>
    {%for elt in node.root.get_firsts(cls="Linux_Service") %}
        <a href="/nodes/{{ elt.path() }}"><li>{{ elt.name }}</li></a>
    {%endfor%}
    </ul>
    <ul>
    {%for elt in node.root.get_firsts(cls="Linux_Program") %}
        <a href="/nodes/{{ elt.path() }}"><li>{{ elt.name }}</li></a>
    {%endfor%}
    </ul>
{%endfor%}
</ul>

</div>
<div class="w3-col m6 l8" >
<h1>logs</h1>
<ul>
{%for elt in node.root.get_firsts(cls="Log_Message") %}
    <a href="/nodes/{{ elt.path() }}"><li>/{{ elt.path() }}</li></a>
{%endfor%}
</ul>
<iframe id="iframe_id" width="100%" height="400px" src=""></iframe>
</div>

<div class="w3-col m3 l2" >
<h1>threads</h1>
{%for elt in node.root.all().by_class("IoNode") %}
    <a href="/nodes/{{ elt.path() }}"><span>{{ elt.name }}</span></a>
{%endfor%}
</div>
{% endblock %}
